---
updatedAt: 2026-02-10T12:01:00.000Z
---

# Get Job

**This API requires the Account Administrator role.**

Gets all the details of job along with the processed user count.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "x-explorer-enabled": false,
  "x-samples-languages": [
    "curl",
    "node",
    "java",
    "javascript",
    "python",
    "go"
  ],
  "info": {
    "title": "Admin - User",
    "description": "The User APIs are use to create, update and retrieve information about User and Profiles.\n\nThe Bulk User APIs are use to perform operations on users and jobs in bulk.\nUser Services support add, update, delete users in bulk and delete multiple jobs.\n\nUser Services will support multiple ways to provision Users/Agents\n  1. Programmatic Interface (Rest APIs)\n  2. User Interface\n",
    "contact": {
      "name": "Avaya API Team",
      "url": "https://developers.avayacloud.com/onecloud-ccaas",
      "email": "apiteam@avaya.com"
    },
    "license": {
      "name": "Avaya Software Development Kit (SDK) Software License Terms",
      "url": "http://support.avaya.com/css/P8/documents/101038288"
    },
    "version": "1.0.2"
  },
  "security": [
    {},
    {
      "BearerAuth": [],
      "AppKey": []
    }
  ],
  "servers": [
    {
      "url": "{protocol}://{server}:{port}{basePath}",
      "description": "Open API",
      "variables": {
        "protocol": {
          "enum": [
            "https"
          ],
          "default": "https"
        },
        "server": {
          "default": "HOST-REGION.api.avayacloud.com"
        },
        "port": {
          "enum": [
            "443"
          ],
          "default": "443"
        },
        "basePath": {
          "default": "/api/admin/user/v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Bulk Job",
      "description": "Bulk operations related to the Jobs responsible for creating users.\n"
    }
  ],
  "paths": {
    "/accounts/{accountId}/jobs/{jobId}": {
      "get": {
        "tags": [
          "Bulk Job"
        ],
        "summary": "Get Job",
        "description": "**This API requires the Account Administrator role.**\n\nGets all the details of job along with the processed user count.\n",
        "operationId": "getJob",
        "parameters": [
          {
            "$ref": "#/components/parameters/accountId"
          },
          {
            "$ref": "#/components/parameters/jobId"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UserImportJobStatus"
                },
                "examples": {
                  "User import job": {
                    "$ref": "#/components/examples/UserImportJobResponse"
                  },
                  "User import failed job": {
                    "$ref": "#/components/examples/UserImportFailedJobResponse"
                  },
                  "User import aborted job": {
                    "$ref": "#/components/examples/UserImportAbortedJobResponse"
                  }
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/ErrorConstraintViolation"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          },
          "500": {
            "$ref": "#/components/responses/InternalServer"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "This API uses Bearer Token Authorization Flow",
        "bearerFormat": "JWT"
      },
      "AppKey": {
        "type": "apiKey",
        "in": "header",
        "name": "appkey",
        "description": "This API needs an appKey as header"
      }
    },
    "responses": {
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorConstraintViolation"
              }
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorUnauthorized"
              }
            }
          }
        }
      },
      "InternalServer": {
        "description": "Request processing failed",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorInternalServerError"
              }
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorForbidden"
              }
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found",
        "content": {
          "application/problem+json": {
            "schema": {
              "$ref": "#/components/schemas/Problem"
            },
            "examples": {
              "default": {
                "$ref": "#/components/examples/ErrorNotFound"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "Problem": {
        "type": "object",
        "description": "<b>Problem Detail</b> as a way to carry machine-readable details of errors in a HTTP response to avoid the need to define new error response formats for HTTP APIs <a href=\"https://tools.ietf.org/html/rfc7807\">RFC 7807</a>\n",
        "properties": {
          "type": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the problem type. When dereferenced, it SHOULD provide human-readable documentation for the problem type (e.g., using HTML).\n",
            "default": "about:blank",
            "example": "https://developers.avayacloud.com/onecloud-ccaas/docs/error-handling#constraint-violation"
          },
          "title": {
            "type": "string",
            "description": "A short, summary of the problem type. Written in english and readable for engineers (usually not suited for non technical stakeholders and not localized).\n",
            "example": "Service Unavailable",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "description": "The HTTP status code generated by the origin server for this occurrence of the problem.\n",
            "minimum": 100,
            "maximum": 600,
            "exclusiveMaximum": true,
            "example": 503,
            "nullable": true
          },
          "detail": {
            "type": "string",
            "description": "A human readable explanation specific to this occurrence of the problem.\n",
            "example": "Connection to database timed out",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "format": "uri",
            "description": "An absolute URI that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.\n",
            "nullable": true
          },
          "violations": {
            "type": "array",
            "description": "A list of violations that occurred as a result of invalid data provided as part of a request.\n",
            "nullable": true,
            "items": {
              "type": "object",
              "properties": {
                "field": {
                  "type": "string",
                  "description": "The name of the field in the request that caused the violation. This can be the name of a path parameter, query parameter, or a field within the request body.\n",
                  "example": "accountId"
                },
                "message": {
                  "type": "string",
                  "description": "A human readable explanation specific to this occurrence of the violation.\n",
                  "example": "must match \"^[a-zA-Z]{6}$\""
                },
                "code": {
                  "type": "integer",
                  "format": "int32",
                  "description": "The violation code generated by the server for this occurrence of the violation. Use this code when implementing any error handling logic instead of the message, as the message can change.\n",
                  "example": 20006
                }
              }
            },
            "example": [
              {
                "field": "emailAddress",
                "message": "must not be null",
                "code": 20002
              },
              {
                "field": "accountId",
                "message": "must match \"^[a-zA-Z]{6}$\"",
                "code": 20006
              }
            ]
          }
        }
      },
      "operation": {
        "type": "string",
        "description": "Operation performed during import",
        "enum": [
          "ADD",
          "UPDATE",
          "DELETE",
          "NO_CHANGE",
          "EXPORT"
        ],
        "example": "ADD"
      },
      "status": {
        "description": "Operation result",
        "type": "string",
        "enum": [
          "IN_PROGRESS",
          "FAILED",
          "COMPLETED",
          "PENDING",
          "ABORT_IN_PROGRESS",
          "ABORTED",
          "NO_CHANGE"
        ],
        "example": "COMPLETED"
      },
      "statusAndOperations": {
        "description": "Operation result",
        "type": "string",
        "enum": [
          "ADD",
          "UPDATE",
          "DELETE",
          "NO_CHANGE",
          "IN_PROGRESS",
          "FAILED",
          "COMPLETED",
          "ABORT_IN_PROGRESS",
          "ABORTED",
          "PENDING"
        ],
        "example": "COMPLETED"
      },
      "UserImportJobStatus": {
        "description": "User import job status response to know number of user imported with status.",
        "type": "object",
        "properties": {
          "operation": {
            "$ref": "#/components/schemas/operation"
          },
          "status": {
            "$ref": "#/components/schemas/status"
          },
          "message": {
            "type": "string",
            "description": "Success or failure message of import",
            "example": "import completed"
          },
          "details": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/UserImportDetails"
            }
          },
          "url": {
            "description": "URL to get the details of user import job",
            "type": "string",
            "example": "/api/admin/user/v1/accounts/ABCDEF/jobs/c8c2909d-75e9-484a-94c0-b7e8d30771fe/users",
            "maxLength": 2048
          },
          "totalCount": {
            "description": "Total number of users",
            "type": "integer",
            "format": "int64",
            "example": 40
          },
          "startTime": {
            "description": "Start time of job",
            "type": "string",
            "format": "date-time",
            "example": "2020-04-21T17:32:28z"
          },
          "endTime": {
            "description": "End time of job",
            "type": "string",
            "format": "date-time",
            "example": "2020-04-21T17:40:28z"
          }
        },
        "title": "UserImportJobStatus"
      },
      "UserImportDetails": {
        "description": "User import job details.",
        "type": "object",
        "properties": {
          "count": {
            "type": "integer",
            "format": "int64",
            "description": "Total number of entities per element is imported",
            "example": 1300
          },
          "status": {
            "$ref": "#/components/schemas/statusAndOperations"
          }
        }
      }
    },
    "parameters": {
      "accountId": {
        "name": "accountId",
        "description": "The unique 6 character internal id that represents the customer account.",
        "required": true,
        "in": "path",
        "schema": {
          "type": "string",
          "minLength": 6,
          "maxLength": 6,
          "pattern": "^[a-zA-Z]{6}$",
          "example": "ABCDEF"
        }
      },
      "jobId": {
        "name": "jobId",
        "in": "path",
        "description": "The unique 36 character internal id that represents the job.",
        "required": true,
        "schema": {
          "type": "string",
          "minLength": 36,
          "maxLength": 36,
          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$",
          "example": "1235a3aa-3dfb-4606-ae79-fd0fe0be3e64"
        }
      }
    },
    "examples": {
      "ErrorConstraintViolation": {
        "description": "Constraint Violation",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#constraint-violation",
          "title": "Constraint Violation",
          "status": 400,
          "detail": "A problem that indicates a syntactically correct, yet semantically illegal request. The Server can not process this request until the client resolves the semantic errors described in the violations section.",
          "violations": [
            {
              "field": "accountId",
              "message": "must match \"^[a-zA-Z]{6}$\"",
              "code": 20006
            }
          ]
        }
      },
      "ErrorUnauthorized": {
        "description": "Unauthorized",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#unauthorized",
          "title": "Unauthorized",
          "status": 401,
          "detail": "This operation requires authentication. See https://developers.avayacloud.com/avaya-experience-platform/docs/how-to-authenticate-with-ccaas-apis"
        }
      },
      "ErrorForbidden": {
        "description": "Forbidden",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#forbidden",
          "title": "Forbidden",
          "status": 403,
          "detail": "According to the access control policy the current user and/or accountId does not have permission to access this resource."
        }
      },
      "ErrorNotFound": {
        "description": "Not Found",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#resource-not-found",
          "title": "Resource Not Found",
          "status": 404,
          "detail": "Either there is no API method associated with the URL path of the request, or the request refers to one or more resources that were not found."
        }
      },
      "ErrorInternalServerError": {
        "description": "Server Error",
        "value": {
          "type": "https://developers.avayacloud.com/avaya-experience-platform/docs/error-handling#server-error",
          "title": "Server Error",
          "status": 500,
          "detail": "An internal server error was encountered."
        }
      },
      "UserImportJobResponse": {
        "description": "User Job",
        "value": {
          "operation": "ADD",
          "status": "COMPLETED",
          "message": "import completed",
          "details": [
            {
              "count": 1300,
              "status": "COMPLETED"
            }
          ],
          "url": "/api/admin/user/v1/accounts/ABCDEF/jobs/c8c2909d-75e9-484a-94c0-b7e8d30771fe/users",
          "totalCount": 1300,
          "startTime": "2020-04-21T17:32:28z",
          "endTime": "2020-04-21T17:40:28z"
        }
      },
      "UserImportFailedJobResponse": {
        "description": "User Failed Job",
        "value": {
          "operation": "ADD",
          "status": "FAILED",
          "message": "Import failed",
          "details": [
            {
              "count": 500,
              "status": "COMPLETED"
            },
            {
              "count": 300,
              "status": "FAILED"
            }
          ],
          "url": "/api/admin/user/v1/accounts/ABCDEF/jobs/c8c2909d-75e9-484a-94c0-b7e8d30771fe/users",
          "totalCount": 800,
          "startTime": "2020-04-21T17:32:28z",
          "endTime": "2020-04-21T17:40:28z"
        }
      },
      "UserImportAbortedJobResponse": {
        "description": "User Aborted Job",
        "value": {
          "operation": "ADD",
          "status": "ABORTED",
          "message": "Import aborted",
          "details": [
            {
              "count": 100,
              "status": "ABORTED"
            },
            {
              "count": 300,
              "status": "COMPLETED"
            }
          ],
          "url": "/api/admin/user/v1/accounts/ABCDEF/jobs/c8c2909d-75e9-484a-94c0-b7e8d30771fe/users",
          "totalCount": 400,
          "startTime": "2020-04-21T17:32:28z",
          "endTime": "2020-04-21T17:40:28z"
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```